Bug 576173 - libguestfs dependency problem in Fedora 12, Requires: /lib64/libntfs-3g.so.73
libguestfs dependency problem in Fedora 12, Requires: /lib64/libntfs-3g.so.73
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
: 576635 576732 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-23 09:48 EDT by NM
Modified: 2010-04-13 17:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-13 17:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description NM 2010-03-23 09:48:04 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.8) Gecko/20100216 Fedora/3.5.8-1.fc12 Firefox/3.5.8

[root@aaaaaaa ~]# yum update
Loaded plugins: presto, protect-packages, protectbase, refresh-packagekit, security, versionlock
0 packages excluded due to repository protections
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package ntfs-3g.x86_64 2:2010.3.6-1.fc12 set to be updated
--> Processing Dependency: /lib64/libntfs-3g.so.73 for package: 1:libguestfs-1.0.85-1.fc12.2.x86_64
--> Finished Dependency Resolution
Error: Package: 1:libguestfs-1.0.85-1.fc12.2.x86_64 (@updates)
           Requires: /lib64/libntfs-3g.so.73
           Removing: 2:ntfs-3g-2010.1.16-1.fc12.x86_64 (@updates)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Reproducible: Always

Steps to Reproduce:
1. As root run
2.yum update

Actual Results:  
Error as above

Expected Results:  
Smooth update
Comment 1 Tom "spot" Callaway 2010-03-23 09:55:08 EDT
The problem here is with libguestfs.
Comment 2 Richard W.M. Jones 2010-03-23 10:08:31 EDT
Please try the newer libguestfs from F12 updates-testing.
It contains a patch which should remove this dependency:

http://koji.fedoraproject.org/koji/buildinfo?buildID=161517
Comment 3 Richard W.M. Jones 2010-03-24 20:05:42 EDT
*** Bug 576732 has been marked as a duplicate of this bug. ***
Comment 4 Richard W.M. Jones 2010-03-24 20:05:47 EDT
*** Bug 576635 has been marked as a duplicate of this bug. ***
Comment 5 Richard W.M. Jones 2010-03-24 20:06:50 EDT
This has been fixed, since this package was pushed to
stable just now:

https://admin.fedoraproject.org/updates/libguestfs-1.0.85-1.fc12.3
Comment 6 Richard W.M. Jones 2010-04-13 17:29:39 EDT
Closing, this is fixed upstream and in all branches of Fedora.

Note You need to log in before you can comment on or make changes to this bug.